org.objenesis.strategy

## Class StdInstantiatorStrategy

- java.lang.Object
- - org.objenesis.strategy.BaseInstantiatorStrategy
  - - org.objenesis.strategy.StdInstantiatorStrategy

- All Implemented Interfaces:
    InstantiatorStrategy

      public class StdInstantiatorStrategy
      extends BaseInstantiatorStrategy

  Guess the best instantiator for a given class. The instantiator will instantiate the class without calling any constructor. Currently, the selection doesn't depend on the class. It relies on the
  - JVM version
  - JVM vendor
  - JVM vendor version
  However, instantiators are stateful and so dedicated to their class.
  See Also:
    `ObjectInstantiator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdInstantiatorStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ObjectInstantiator<T>` | `newInstantiatorOf(java.lang.Class<T> type)` Return an `ObjectInstantiator` allowing to create instance without any constructor being called.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdInstantiatorStrategy

          public StdInstantiatorStrategy()

  - ### Method Detail

    - #### newInstantiatorOf

          public <T> ObjectInstantiator<T> newInstantiatorOf(java.lang.Class<T> type)

      Return an `ObjectInstantiator` allowing to create instance without any constructor being called.
      Type Parameters:
        `T` - Type to instantiate
      Parameters:
        `type` - Class to instantiate
      Returns:
        The ObjectInstantiator for the class